Bug 128562 - Add/Remove Programs: error, cannot locate installed packages.
Add/Remove Programs: error, cannot locate installed packages.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-26 10:59 EDT by Dominic
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic 2004-07-26 10:59:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
Using the 'Add/Remove Applications' Package manager, Im trying to add
KDE development tools for Qt support.

After ticking the checkbox, and clicking 'update' I recieve the error
in a pop-up

X Packages Not Found

The following packages could not be found on your system.
Installation cannot continue untill they are installed.

Unlocatable package | Required by

xorg-x11-libs | ('xorg-x11-xfs', '6.70, 5')
xorg-x11-libs | ('xorg-x11-twm', '6.70, 5')
xorg-x11-libs | ('xorg-x11', '6.70, 5')
__________________________________________

I then tried these following things to fix this problem:

[dom@shitbox dom]$ su
Password:
[root@shitbox dom]# rpm -ivh xorg-x11-libs-6.7.0-5.i386.rpm
Preparing...               
########################################### [100%]
        package xorg-x11-libs-6.7.0-5 is already installed
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm -e xorg-x11-libs-6.7.0-5.i386.rpm
error: package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm -ivh --force xorg-x11-libs-6.7.0-5.i386.rpm
Preparing...               
########################################### [100%]
   1:xorg-x11-libs         
########################################### [100%]
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm --rebuilddb
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm -ivh --force --justdb
xorg-x11-libs-6.7.0-5.i386.rpm
Preparing...               
########################################### [100%]
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm -ivh --force --allfiles
xorg-x11-libs-6.7.0-5.i386.rpm
Preparing...               
########################################### [100%]
   1:xorg-x11-libs         
########################################### [100%]
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm --rebuilddb
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm -ivh --force xorg-x11-libs-6.7.0-5.i386.rpm
xorg-x11-libs-data-6.7.0-5.i386.rpm
Preparing...               
########################################### [100%]
   1:xorg-x11-libs-data    
########################################### [ 50%]
   2:xorg-x11-libs         
########################################### [100%]
[root@shitbox dom]# rpm -q xorg-x11-libs-6.7.0-5.i386.rpm package
xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm --rebuilddb [root@shitbox dom]# rpm -q
xorg-x11-libs-6.7.0-5.i386.rpm
package xorg-x11-libs-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]# rpm -q xorg-x11-libs-data-6.7.0-5.i386.rpm
package xorg-x11-libs-data-6.7.0-5.i386.rpm is not installed
[root@shitbox dom]#

-------------------

Is there any way I can manualy add the entry to the database ? because
 I have no doubt that the package is actualy installed.

I am an new linux user coming from windows, any help would be greatly
appreciated.

-Dominic

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Force install package, rebuild database, query package.
2.Force install all files, rebuild db, query.


Actual Results:  1.Check using, Add/Remove Aplications package
manager, same error.
2.Restart computer, check using Add/Remove Aplications package
manager, same error.

Expected Results:  Package detected as being installed.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:55:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Marius Andreiana 2005-08-19 17:10:36 EDT
Does it work in FC4? 
Comment 3 Jeremy Katz 2005-09-21 15:16:06 EDT
Closing as resolved in current releases

Note You need to log in before you can comment on or make changes to this bug.